Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

To get the PropertyAttributes, first get the class Type. From the Type, get the PropertyInfo. From the PropertyInfo, get the Attributes.

The enumerated value is a number representing the bitwise OR of the attributes implemented on the method.

Defines the attributes that can be associated with a property. These attribute values are defined in corhdr.h.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyAttributes HasDefault To be added.

  Specifies that the property has a default value.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyAttributes None To be added.

  Specifies that no attributes are associated with a property.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyAttributes Reserved2 To be added.

  Reserved.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyAttributes Reserved3 To be added.

  Reserved.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyAttributes Reserved4 To be added.

  Reserved.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyAttributes ReservedMask To be added.

  Specifies a flag reserved for runtime use only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyAttributes RTSpecialName To be added.

  Specifies that the metadata internal APIs check the name encoding.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyAttributes SpecialName To be added.

  Specifies that the property is special, with the name describing how the property is special.

  0
0